> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone a new voice from audio samples



## OpenAPI

````yaml https://api.callers.ai/openapi-json post /voices/voice-clone
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /voices/voice-clone:
    post:
      tags:
        - Voices
      summary: Clone a new voice from audio samples
      operationId: VoicePublicController_cloneVoice
      parameters:
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 5
                  description: Name of the voice
                description:
                  type: string
                  description: Description of the voice
                providerType:
                  type: string
                  enum:
                    - ELEVENLABS
                    - CARTESIA
                    - GOOGLE_CLOUD
                  description: The voice provider type
                supportedLocales:
                  type: array
                  items:
                    type: string
                    enum:
                      - en-US
                      - en-GB
                      - en-AU
                      - en-CA
                      - en-IE
                      - en-IN
                      - en-NZ
                      - en-ZA
                      - en-SG
                      - es-ES
                      - es-MX
                      - es-AR
                      - es-CL
                      - es-PE
                      - fr-FR
                      - pt-BR
                      - pt-PT
                      - zh-CN
                      - cmn-EN
                      - nl-NL
                      - fi-FI
                      - de-DE
                      - de-AT
                      - de-CH
                      - de-LU
                      - de-LI
                      - gsw-CH
                      - gsw-LI
                      - el-GR
                      - hi-IN
                      - en-TA
                      - id-ID
                      - it-IT
                      - ja-JP
                      - ko-KR
                      - ms-MY
                      - en-MS
                      - ro-RO
                      - ru-RU
                      - uk-UA
                      - ka-GE
                      - bg-BG
                      - cs-CZ
                      - da-DK
                      - pl-PL
                      - sk-SK
                      - sv-SE
                      - tr-TR
                      - ar-SA
                      - ary-MA
                      - arz-EG
                      - apc-LB
                      - apc-SY
                      - apc-PS
                      - apc-JO
                      - acm-IQ
                      - ar-AE
                      - afb-AE
                      - afb-BH
                      - afb-KW
                      - afb-QA
                      - afb-OM
                      - hr-HR
                      - hr-BA
                      - he-IL
                      - ur-PK
                      - hu-HU
                      - fil-PH
                      - th-TH
                      - vi-VN
                  default:
                    - en-US
                  description: Supported locales for the voice
                subAccounts:
                  type: boolean
                  default: false
                  description: Flag indicating whether sub-accounts are enabled
                stability:
                  type: number
                  minimum: 0
                  maximum: 1
                  description: Stability value between 0 and 1
                similarityBoost:
                  type: number
                  minimum: 0
                  maximum: 1
                  description: Similarity boost value between 0 and 1
                speed:
                  type: number
                  minimum: -1
                  maximum: 1
                  description: >-
                    Normalized speed between -1.0 (slowest) and 1.0 (fastest). 0
                    = normal, negative = slower, positive = faster
                supportsAllLanguages:
                  type: boolean
                  default: false
                  description: Flag indicating whether this voice supports all languages
                files:
                  type: array
                  items:
                    type: string
                    format: binary
                  description: Audio files for voice cloning
              required:
                - name
                - files
      responses:
        '200':
          description: Array of cloned Voice objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VoicePublicDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    VoicePublicDto:
      type: object
      properties:
        id:
          type: string
          description: The ID of the voice
        voiceId:
          type: string
          description: The provider-specific voice ID
        name:
          type: string
          description: The name of the voice
        organizationId:
          type: string
          description: The organization ID that owns this voice
        settings:
          type: object
          description: Additional settings stored in JSON format
          example:
            stability: 0.8
            style: 0.3
        isMultilingual:
          type: boolean
          description: Indicates if the voice supports multiple languages
        supportedLocales:
          description: Array of supported locale strings
          type: array
          items:
            type: string
        ttsClient:
          type: string
          description: Identifier for the TTS (text-to-speech) client
        gender:
          type: string
          description: The gender of the voice
          enum:
            - MALE
            - FEMALE
      required:
        - id
        - voiceId
        - name
        - isMultilingual
        - supportedLocales
        - ttsClient
        - gender
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````